test:clang11-mpi-release:
  image: localhost:5000/ubuntu_jammy_clang11_mpi
  stage: test
  needs: []
  script:
    - mkdir -p build/clang11-release-mpi
    - cd build/clang11-release-mpi
    - CXX=clang++-11 CC=clang-11 cmake ../.. -DCMAKE_BUILD_TYPE=Release -DCLANG_FORMAT=/usr/bin/clang-format-11
    - make -j 4
    - make check
  cache:
    key: "${CI_COMMIT_REF_SLUG}-clang11-release-mpi"
    paths:
      - build/clang11-release-mpi
    untracked: true
